Package net.sf.saxon.event

## Class NoOpenStartTagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.event.NoOpenStartTagException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NoOpenStartTagException
      extends XPathException

  Exception indicating that an attribute or namespace node has been written when there is no open element to write it to
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity, XPathException.StackOverflow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoOpenStartTagException​(java.lang.String message)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NoOpenStartTagException` | `makeNoOpenStartTagException​(int nodeKind, java.lang.String name, HostLanguage hostLanguage, boolean parentIsDocument, Location startElementLocationId)` | Static factory method to create the exception

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `fromXmlProcessingError, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getFailingExpression, getHostLanguage, getLocator, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isSyntaxError, isTypeError, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetFailingExpression, maybeSetLocation, setErrorCode, setErrorCodeQName, setErrorObject, setFailingExpression, setHasBeenReported, setHostLanguage, setHostLanguage, setIsGlobalError, setIsStaticError, setIsSyntaxError, setIsTypeError, setLocation, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpenStartTagException

          public NoOpenStartTagException​(java.lang.String message)

  - ### Method Detail

    - #### makeNoOpenStartTagException

          public static NoOpenStartTagException makeNoOpenStartTagException​(int nodeKind,
                                                                            java.lang.String name,
                                                                            HostLanguage hostLanguage,
                                                                            boolean parentIsDocument,
                                                                            Location startElementLocationId)

      Static factory method to create the exception
      Parameters:
        `nodeKind` - the kind of node being created (attribute or namespace)
        `name` - the name of the node being created
        `hostLanguage` - XSLT or XQuery (error codes are different in the two cases)
        `parentIsDocument` - true if the nodes are being added to a document node (rather than an element)
        `startElementLocationId` - integer that can be passed to the location provider to get the location of the offending instruction that created the element node
      Returns:
        the constructed exception object